﻿namespace Falcon.SugarApi.TimedTask
{
    /// <summary>
    /// 任务状态
    /// </summary>
    public enum TaskState
    {
        /// <summary>
        /// 准备-任务准备就绪等待开始执行
        /// </summary>
        Ready,
        /// <summary>
        /// 等待-任务已经启动，等待下次启动
        /// </summary>
        Waiting,
        /// <summary>
        /// 运行-任务执行中
        /// </summary>
        Running,
        /// <summary>
        /// 停止-任务已经停止，不会再运行
        /// </summary>
        Stopping,
        /// <summary>
        /// 未知状态--当前状态未知
        /// </summary>
        Unknown,
        /// <summary>
        /// 不支持-当前任务不支持状态查询
        /// </summary>
        NoSupport,
    }
}
